Bug 836025 - [abrt] puddletag-0.10.6-2.fc16: util.py:161:pprint_tag:NameError: global name 'ret' is not defined
[abrt] puddletag-0.10.6-2.fc16: util.py:161:pprint_tag:NameError: global name...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: puddletag (Show other bugs)
16
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Terje Røsten
Fedora Extras Quality Assurance
abrt_hash:e5fdef7086903359d040daaf70a...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-27 18:09 EDT by Dan Ziemba
Modified: 2012-09-17 18:14 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-09-02 20:49:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: smolt_data (5.94 KB, text/plain)
2012-06-27 18:09 EDT, Dan Ziemba
no flags Details

  None (edit)
Description Dan Ziemba 2012-06-27 18:09:17 EDT
libreport version: 2.0.10
abrt_version:   2.0.7
cmdline:        /usr/bin/python /usr/bin/puddletag
comment:        Happens shortly after starting puddletag, but program continues to work correctly as far as I can tell.
executable:     /usr/bin/puddletag
kernel:         3.3.7-1.fc16.x86_64
time:           Thu 14 Jun 2012 08:25:58 PM EDT
uid:            1000
username:       dan

smolt_data:     Text file, 6080 bytes

backtrace:
:util.py:161:pprint_tag:NameError: global name 'ret' is not defined
:
:Traceback (most recent call last):
:  File "/usr/lib/python2.7/site-packages/puddlestuff/actiondlg.py", line 529, in updateExample
:    self.exlabel.setText(displaytags(text))
:  File "/usr/lib/python2.7/site-packages/puddlestuff/actiondlg.py", line 29, in displaytags
:    text = pprint_tag(tags)
:  File "/usr/lib/python2.7/site-packages/puddlestuff/util.py", line 161, in pprint_tag
:    ret.append(('__image', image_tr % len(tags['__image'])))
:NameError: global name 'ret' is not defined
:
:Local variables in innermost frame:
:map_func: <function <lambda> at 0x7f9709c74488>
:show_read_only: False
:tags: {'__image': []}
:items: []
:k: '__image'
:values: [u'<b>__image</b>: &lt;blank&gt;<br />']
:v: []
:image_tr: u'%s images'
:fmt: u'<b>%s</b>: %s<br />'
Comment 1 Dan Ziemba 2012-06-27 18:09:19 EDT
Created attachment 594871 [details]
File: smolt_data
Comment 2 Fedora Update System 2012-08-24 14:44:29 EDT
puddletag-1.0.0-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/puddletag-1.0.0-1.fc17
Comment 3 Fedora Update System 2012-08-24 14:45:07 EDT
puddletag-1.0.0-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/puddletag-1.0.0-1.fc16
Comment 4 Fedora Update System 2012-08-24 14:45:39 EDT
puddletag-1.0.0-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/puddletag-1.0.0-1.fc18
Comment 5 Fedora Update System 2012-08-24 17:34:28 EDT
Package puddletag-1.0.0-1.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing puddletag-1.0.0-1.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-12660/puddletag-1.0.0-1.fc18
then log in and leave karma (feedback).
Comment 6 Dan Ziemba 2012-08-28 05:22:56 EDT
The Fedora 16 version of that works great for me.  Karma added.
Comment 7 Fedora Update System 2012-09-02 20:49:49 EDT
puddletag-1.0.0-1.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2012-09-02 20:52:03 EDT
puddletag-1.0.0-1.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2012-09-17 18:14:07 EDT
puddletag-1.0.0-1.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.